#if defined(STATISTICS) or defined(VHDL_TESTBENCH)
/*
 * $Id: Divider_end_cycle.cpp 112 2009-03-18 22:36:26Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Divider/include/Divider.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace divider {


#undef  FUNCTION
#define FUNCTION "Divider::end_cycle"
void Divider::end_cycle ()
  {
    log_begin(Divider,FUNCTION);

#ifdef STATISTICS
    if (usage_is_set(_usage,USE_STATISTICS))
      _stat->end_cycle();
#endif    

#ifdef VHDL_TESTBENCH
    // Evaluation before read the ouput signal
//  sc_start(0);
    if (usage_is_set(_usage,USE_VHDL_TESTBENCH))
      _interfaces->testbench();
#endif

    log_end(Divider,FUNCTION);
  };

}; // end namespace divider
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
